package org.springblade.third.butt.iotdevice.entity;

import lombok.Data;

import java.util.Map;

/**
 * Created By lidexi in 2021/7/14
 **/
@Data
public class PepApiResultBean<T> {
	/**
	 * 响应状态
	 */
	private Integer code;

	/**
	 * 响应信息描述
	 */
	private String msg;

	/**
	 * 响应对象
	 */
	private T data;

	private IotAuthentication content;

	private Map<String, Object> status;

	public static PepApiResultBean ok(){
		PepApiResultBean apiResultBean = new PepApiResultBean();
		apiResultBean.setCode(0);
		apiResultBean.setMsg("成功");
		return apiResultBean;
	}
}
